{ inputs, config, pkgs, ... }:

{
  imports = [
    (import ./common.nix { inherit inputs config pkgs; })
    (import ./hyprland { inherit inputs pkgs; })
    (import ./waybar { inherit inputs pkgs; })
    ./rofi
  ];

  services.hyprpaper = {
    settings = {
      wallpaper = [ "Virtual-1,${./hyprland/files/wallpaper.png}" ];
    };
  };

  programs.waybar = { settings = { mainBar = { output = "Virtual-1"; }; }; };
}
